AOZ Studio Beta - Bug #306

For/Next with Floating point step not executing correct number of iterations.
03/15/2020 02:16 PM - David Baldwin
Description

In this example, with step 0.2, 6 iterations are executed correctly:-

Count=0

X=0:Y=1

Fix 2

FS#=0.2

For F#=Xto Y Step FS#
Inc Count

Print F#;

Next F#

print

Print

Print "lterations:";Count

However, in this example, only 50 iterations are executed and it should be 51. You will see that the loop doesn't actually reach 1.0,
only 0.98.

Count=0

X=0:Y=1

Fix 2

FS#=0.02

For F#=Xto Y Step FS#
Inc Count

Print F#;

Next F#

print

Print

Print "lterations:";Count

History

#1 - 04/09/2020 01:05 PM - David Baldwin
Fixed in 0.9.8. Test 2

#2 - 04/09/2020 01:06 PM - David Baldwin

- Status changed from New to Closed
